> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# List meetings

> List meetings for a builder



## OpenAPI

````yaml GET /builders/{builderId}/meetings
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /builders/{builderId}/meetings:
    get:
      description: List meetings for a builder
      operationId: listMeetings
      parameters:
        - name: builderId
          in: path
          required: true
          schema:
            type: string
            example: buil_clgbsb90b001qjy0f0eo1hspp
        - name: from
          description: Filter meetings from this date-time
          in: query
          required: false
          schema:
            type: string
            format: date-time
            example: '2026-01-01T00:00:00.000Z'
        - name: to
          description: Filter meetings until this date-time
          in: query
          required: false
          schema:
            type: string
            format: date-time
            example: '2026-01-31T23:59:59.999Z'
        - name: status
          description: Filter by meeting status. Repeat the parameter for multiple values.
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - DRAFT
                - DISTRIBUTED
                - COMPLETED
                - RUNNING
          style: form
          explode: true
        - name: offset
          description: >-
            The number of items to skip before starting to collect the result
            set
          in: query
          required: false
          schema:
            type: integer
            default: 0
            example: 0
        - name: limit
          description: The number of items to return.
          in: query
          required: false
          schema:
            type: integer
            default: 25
            example: 25
            maximum: 25
      responses:
        '200':
          description: A list of meetings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseMeeting'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
      security:
        - OAuth2:
            - read:meetings
components:
  schemas:
    PaginatedResponseMeeting:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Meeting'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              fieldName:
                type: string
                example: name
              message:
                type: string
                example: This field is required.
    Meeting:
      type: object
      properties:
        id:
          type: string
          example: extapitoolboxmeeting01
        builderId:
          type: string
          example: buil_clgbsb90b001qjy0f0eo1hspp
        projectId:
          type: string
          example: proj_clgbsb90b001qjy0f0eo1hscp
        projectName:
          type: string
          example: Downtown Mall Construction
        projectTimezone:
          type: string
          nullable: true
          example: Australia/Brisbane
        title:
          type: string
          example: External API seeded meeting
        name:
          type: string
          example: External API seeded meeting
        meetingTitle:
          type: string
          nullable: true
          example: External API seeded meeting
        meetingTypeId:
          type: string
          nullable: true
          example: null
        meetingTypeName:
          type: string
          nullable: true
          example: null
        date:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
        startAt:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
        scheduledAt:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
        status:
          type: string
          enum:
            - DRAFT
            - DISTRIBUTED
            - COMPLETED
            - RUNNING
          example: DISTRIBUTED
        meetingStatus:
          type: string
          enum:
            - DRAFT
            - DISTRIBUTED
            - COMPLETED
            - RUNNING
          example: DISTRIBUTED
        agenda:
          type: string
          nullable: true
          example: External API integration test agenda
        description:
          type: string
          nullable: true
          example: Seeded meeting for External API integration tests
        notes:
          type: string
          nullable: true
          example: Seeded meeting for External API integration tests
        updatedAt:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
    PaginationMeta:
      type: object
      properties:
        totalCount:
          type: integer
          description: How many total items there are.
          example: 100
        totalPages:
          type: integer
          description: How many pages there are based on your offset and limit.
          example: 4
        offset:
          type: integer
          description: How many items skipped before starting to collect the result set.
          example: 0
        limit:
          type: integer
          description: How many items you requested to return.
          example: 25
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders

````